<?php

// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * Archive Template
 *
 *
 * @file           archive.php
 * @package        Canonical 
 * @author         Canonical Web Team 
 * @copyright      2012 Canonical Ltd
 * @license        license.txt
 * @version        Release: 2.0
 * @filesource     wp-content/themes/canonical/archive.php
 * @link           http://codex.wordpress.org/Theme_Development#Archive_.28archive.php.29
 * @since          available since Release 2.0
 */

get_header(); ?>
<?php 
	$postCount = 0;
?>
<section>
<div class="two-col">
<?php get_template_part("/includes/_nav_archive"); ?>
</div><!-- /.two-col -->
		<?php if (have_posts()) : ?>
			<?php while (have_posts()) : the_post(); ?>
			<?php if(++$postCount == 1) { ?>
		<h1>Posts from <?php the_time(' F Y') ?></h1>
	<div class="six-col suffix-four last-col">
			<ul id="results-list" class="no-bullets">
		<?php } ?>
			<?php get_template_part("/includes/_result_list_item"); ?>		
		<?php endwhile; ?>
			</ul>
		<?php else : ?>	
		<?php endif; // end have_posts ?>
	</div><!-- /.eight-col -->
</section>
<?php get_footer(); ?>
