jQuery(document).ready(function($){

if ( $(window).width() <= 760) {
$("html").addClass("mobile");
}
else {
}

$(function() {
	$('.mobile #tags ul, .mobile #list-archives').each(function(){
	var list=$(this),
	    select=$(document.createElement('select')).insertBefore($(this).hide()).change(function(){
	  window.location.href=$(this).val();
	});
	$('>li a', this).each(function(){
	  var option=$(document.createElement('option'))
	   .appendTo(select)
	   .val(this.href)
	   .html($(this).html());
	  if($(this).attr('class') === 'selected'){
	    option.attr('selected','selected');
	  }
	});
	list.remove();
	});
});

// add and clear search input text box value
$('.form-text').each(function() {
    var default_value = this.value;
    $(this).focus(function() {
        if(this.value == 'Search') {
            this.value = '';
        }
    });
    $(this).blur(function() {
        if(this.value == '') {
            this.value = 'Search';
        }
    });
});
         
$(function(){
    var url = window.location.pathname, 
        urlRegExp = new RegExp(url.replace(/\/$/,'') + "$"); // create regexp to match current url pathname and remove trailing slash if present as it could collide with the link in navigation in case trailing slash wasn't present there
        // now grab every link from the navigation
        $('#list-archives li li a, #tags li a').each(function(){
            // and test its normalized href against the url pathname regexp
            if(urlRegExp.test(this.href.replace(/\/$/,''))){
                $(this).addClass('active');
            }
        });
});

$("#list-archives").accordion({ navigation: true, autoHeight: false });

// prepare images for inset box shadow
$('#team-list img, .vcard img, .comment-list li img.avatar, .article-meta img.avatar, .home .article-image img').each(function() {
	var imgClass = $(this).attr('class');
	$(this).wrap('<span class="image-wrap ' + imgClass + '" style="width: auto; height: auto;"/>');
	$(this).removeAttr('class');
});

// removes no-js class and adds yes-js if js
$("html").removeClass("no-js").addClass("yes-js");
			
// Dev show grid - not for production	
/*$('.inner-wrapper').append('<div class="grid"></div>');

var showGrid = 0;
	$(document).ready(function() {
		 $(".grid").hide();
});

	$(document).keyup(function(evt) {
	  if (evt.keyCode == 71) {
	  	if(showGrid == 0){
	  		showGrid = 1;
	  		$(".grid").show();
	  	}
	  	else{
	  		showGrid = 0;
	   	 	$(".grid").hide();
	    }
	  }
	 });*/
/* 
	* blockClick plugin.
*/

(function($) {
  $.fn.blockClick = function(options) {

    var opts = $.extend({}, $.fn.blockClick.defaults, options);

    return this.each(function() {
      $(this)
        .css("cursor", "pointer")
			  .hover((function(){
				  $(this).addClass("block-click-hover");
			  }),
			  function(){
			    $(this).removeClass("block-click-hover");
		    })
			  .click(function(){
				  window.location = $(this).find("a").attr("href");		
			  });
    });
  };
  $.fn.blockClick.defaults = {};
	$(function(){ $('.block-click').blockClick(); });
})(jQuery);


(function($) {
  $.fn.equalHeights = function(options) {
    var opts = $.extend({}, $.fn.equalHeights.defaults, options);
        
    /* Work out the highest .height(). */
    var heightArr = new Array();
    var $items = this;
    function max(array){
        return Math.max.apply( Math, array );
    };
    
    if ($items.length == 0) return;
    $items.each(function(i){ 
      
      var $item = $(this);
      $(this).css({
        minHeight : 0,
        height : "auto"
      });
      heightArr[i] = $item.height();
      
      if (i == $items.length - 1) {
        var maxHeight = max(heightArr);
        $items.each(function(){ $(this).height(maxHeight); });
        return $items;
      }
    });
  }
  $.fn.equalHeights.defaults = {};
})(jQuery);

  $(window).load(function(){
    setEqualHeights($('#articles .three-col-lower article'), 4);
    $('#site-info div.inner').equalHeights();
   $('.home li.six-col .three-col').equalHeights();
  });
  
  function setEqualHeights($items, groupCount) {
    var maxCount = $items.length,
        count;
    $.each($items, function(i){
      count++;
      if (((i+1) % groupCount == 0)) {
        $items.slice((i - count) + 1, i + 1).equalHeights();
        count = 0;
      } 
      if (i == maxCount - 1  && ((i+1) % groupCount != 0)) {
        // Deal with the end of the list.
      }
    });
  }

});
