<?php

// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * Footer Template
 *
 *
 * @file           footer.php
 * @package        Canonical 
 * @author         Canonical Web Team 
 * @copyright      2012 Canonical Ltd
 * @license        license.txt
 * @version        Release: 2.0
 * @filesource     wp-content/themes/canonical/footer.php
 * @link           http://codex.wordpress.org/Theme_Development#Footer_.28footer.php.29
 * @since          available since Release 2.0
 */
?>
<?php if(is_author() || is_page('team') || is_single()) { ?><?php } else { ?>
</div><!-- /#main-content -->
</div><!-- /.inner-wrapper -->
</div><!-- /.wrapper -->
<?php } ?>
<div class="section-wrapper footer-wrapper clearfix">
<footer id="site-info" class="clearfix container">
	<div id="join-us" class="six-col first-col block-click">
		<h2>Join us!</h2>
		<p>Passionate about good design and creating delightful experiences? We&rsquo;re looking for people who love to learn and share their knowledge and ideas.</p>
		<p><a href="http://www.canonical.com/about-canonical/careers/design-jobs">See all the design jobs on canonical.com</a></p>
	</div><!-- /.six-col -->
	<div id="social" class="three-col block-click">
	<div class="inner">
		<h2>Follow</h2>
		<ul class="no-bullets">
			<li><a href="https://twitter.com/ubuntudesigners">@ubuntudesigners <br /><span>on Twitter</span></a></li>
		</ul>
	</div>
	</div><!-- /.three-col -->
	<div id="subscriptions" class="three-col last-col block-click">
	<div class="inner">
		<h2>Make Ubuntu</h2>
			<ul class="no-bullets">
				<li><a href="http://design.ubuntu.com">Brand guidelines</a></li>
			</ul>
	</div>
	</div><!-- /.three-col -->
</footer>
</div><!-- /#footer-wrapper -->

<div class="section-wrapper global-info">
	<div class="global-info-inner">
		<div>
			<ul class="no-bullets inline">
				<li class="copyright-info">&copy; <?php echo date('Y'); ?> Canonical Ltd. Ubuntu and Canonical are registered trademarks of Canonical Ltd.</li>
				<li class="bug-report"><a href="https://bugs.launchpad.net/blahblahblah/+filebug">Report a bug on this site</a></li>
				<li class="link-rss"><a href="<?php bloginfo('rss2_url'); ?>"><abbr title="Really Simple Syndication">RSS</abbr> feed</a></li>
				<li class="canonilink"><a href="http://canonical.com">http://canonical.com</a></li>
				<li><p class="top-link"><a href="#">Back to top</a></p></li>
			</ul>
		</div>
	</div><!-- /.global-info-inner -->
</div><!-- /.section-wrapper .copyright-wrapper -->

<?php wp_footer(); ?>

<script type="text/javascript">
  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-1018242-22']);
  _gaq.push(['_setDomainName', 'canonical.com']);
  _gaq.push(['_setAllowLinker', true]);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();
</script>

</body>
</html>