<?php

function is_facebook(){
  if(!(stristr($_SERVER["HTTP_USER_AGENT"],'facebook') === FALSE))
  return true;
}

// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * Header Template
 *
 *
 * @file           header.php
 * @package        Canonical
 * @author         Canonical Web Team
 * @copyright      2012 Canonical Ltd
 * @license        license.txt
 * @version        Release: 2.0
 * @filesource     wp-content/themes/canonical/header.php
 * @link           http://codex.wordpress.org/Theme_Development#Document_Head_.28header.php.29
 * @since          available since Release 2.0
 */
?>
<!doctype html>
<!--[if lt IE 7 ]> <html class="no-js ie6" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 7 ]>    <html class="no-js ie7" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 8 ]>    <html class="no-js ie8" <?php language_attributes(); ?>> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--> <html class="no-js" <?php language_attributes(); ?>> <!--<![endif]-->
<head>

<title><?php if(is_author()) : ?><?php
    $curauth = (isset($_GET['author_name'])) ? get_user_by('slug', $author_name) : get_userdata(intval($author));
    echo $curauth->first_name; ?> <?php echo $curauth->last_name;
?> | Ubuntu <?php bloginfo('name'); ?> Blog
<?php else : ?>
<?php wp_title("",true); ?><?php if ( !is_home() ) { ?> | <?php } ?> Ubuntu <?php bloginfo('name'); ?> Blog
<?php endif; ?>
</title>

<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0;">
<meta name="author" content="Canonical Ltd">

<link rel="icon" type="image/png" href="https://assets.ubuntu.com/v1/cb22ba5d-favicon-16x16.png" sizes="16x16" />
<link rel="icon" type="image/png" href="https://assets.ubuntu.com/v1/49a1a858-favicon-32x32.png" sizes="32x32" />

<!-- stylesheets -->
<link rel="stylesheet" type="text/css" media="all" href="https://fonts.googleapis.com/css?family=Ubuntu:300,400,400italic" />
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>?ver=2.0" type="text/css" />

<script type='text/javascript' src='<?php echo get_template_directory_uri(); ?>/assets/js/modernizr.js?ver=2.6.2'></script>
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?> itemscope itemtype="http://schema.org/Product">

<header class="banner" role="banner">
    <div class="header-inner">
        <?php get_template_part("includes/_nav"); ?>
        <div class="logo three-col last-col">
            <a href="<?php echo get_option('home'); ?>/">
                <span>Ubuntu</span> <?php bloginfo('name'); ?> <span>blog</span>
            </a>
        </div>
    </div>
</header>
<?php if(is_author() || is_page('team') || is_single()) { ?><?php } else { ?>
<div class="wrapper">
<div class="inner-wrapper">
<div id="main-content" class="twelve-col">
<?php } ?>
