<?php
//Path to include feed.php file located in wp-includes folder.
include_once(ABSPATH . WPINC . '../../wp-includes/feed.php'); 

//Retrieves the feed and parses it. Specify the feed URL. This is my feed, put yours.
$rss = fetch_feed('https://api.twitter.com/1/statuses/user_timeline.rss?screen_name=ubuntudesigners&amp;count=1');

$tweetnumber = 1;  /** How many tweets you want to show. Must be >= 1 **/
$maxitems = $rss->get_item_quantity($tweetnumber);

$firstitem = 0; /** Specify the first item. 0 to start from the newest tweet. **/
$rss_items = $rss->get_items($firstitem, $maxitems);
?>

<li id="twitter" class="three-col last-col">
<?php
if ($maxitems == 0)
        echo '<p>No Tweets Yet!</p>';
else
//Loop through each feed item and display it as a link.
foreach ( $rss_items as $item ) { ?>
    <p class="item-content"><?php echo $item->get_title(); ?></p>
    <span class="item-source"><a href='<?php echo $item->get_permalink(); ?>' title="External Link&#8230;" rel="nofollow">Via Twitter</a></span>
    <!-- Get the tweet item date.-->        
    <time datetime="<?php echo'' . $item->get_date('Y-m-d'); ?>" pubdate><?php echo'' . $item->get_date('j'); ?><sup><?php echo'' . $item->get_date('S'); ?></sup><?php echo'' . $item->get_date(' F Y'); ?></time>
<?php } ?>
</li>
