<?php
// Exit if accessed directly
if ( !defined('ABSPATH')) exit;
?>
<nav role="navigation" class="nav-primary">
	<ul>
		<li class="accessibility-aid"><a accesskey="s" href="#main-content">Jump to content</a></li>
		<li id="nav-home"<?php if ( is_home() ) { echo ' class="current"'; } ?>><a href="/">Home</a></li>
		<li id="nav-topics"><a href="#">Topics</a>
			<ul>
				<?php 
					$category = get_category_by_slug('Featured'); 
					$catid = $category->term_id; 
				?>
				<?php wp_list_categories('exclude='.$catid.'&title_li=&current_category=current-cat&depth=1'); // exclude 137 = Featured ?>
			</ul>
		</li>
		<?php
			global $top_level_pages;
			$top_level_pages=get_pages(array('parent'=>0,' sort_column'=>'menu_order', 'exclude'=>'843,2240'));
			foreach($top_level_pages as $page)
				echo '<li id="nav-'.$page->post_name.'"><a href="'.get_permalink($page->ID).'">'.$page->post_title.'</a></li>';
		?>
		<li id="search-wrapper"><?php include (TEMPLATEPATH . '/searchform.php'); ?></li>
	</ul>
</nav>